=== debian/changelog ===
octave-instrument-control (0.3.1-2) unstable; urgency=medium

  * d/control:
    + Add Rules-Requires-Root: no
    + Bump Standards-Version to 4.3.0
    + Bump to debhelper compat level 12
  * Build-depend on debhelper-compat instead of using d/compat

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 02 Jan 2019 22:56:05 -0200

octave-instrument-control (0.3.1-1) unstable; urgency=medium

  * Initial release (Closes: #899145)

 -- Rafael Laboissiere <rafael@debian.org>  Sat, 30 Jun 2018 10:17:17 -0300
