=== debian/control ===
Source: octave-instrument-control
Section: math
Priority: optional
Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
Uploaders: Rafael Laboissiere <rafael@debian.org>
Build-Depends: debhelper-compat (= 12),
               dh-octave (>= 0.5.2)
Standards-Version: 4.3.0
Homepage: https://octave.sourceforge.io/instrument-control/
Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-instrument-control.git
Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-instrument-control
Testsuite: autopkgtest-pkg-octave
Rules-Requires-Root: no

Package: octave-instrument-control
Architecture: any
Depends: ${misc:Depends}, ${octave:Depends}, ${shlibs:Depends}
Description: instrument control for Octave
 This package contains Low level input/output functions for serial,
 i2c, parallel, tcp, gpib, vxi11 and usbtmc interfaces for use in
 Octave, a scientific computation software.
 .
 This Octave add-on package is part of the Octave-Forge project.
