=== debian/changelog ===
octave-instrument-control (0.4.0-4build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:52:08 +0100

octave-instrument-control (0.4.0-4) unstable; urgency=medium

  * d/control:
    + Bump Standards-Version to 4.4.1 (no changes needed)
    + Bump dependency on dh-octave to >= 0.7.1
      This allows the injection of the virtual package octave-abi-N into
      the package's list of dependencies.

 -- Rafael Laboissiere <rafael@debian.org>  Tue, 05 Nov 2019 14:15:52 -0300

octave-instrument-control (0.4.0-3) unstable; urgency=medium

  [ Rafael Laboissiere ]
  * Upload to unstable
  * d/control: Bump Standards-Version to 4.4.0 (no changes needed)

  [ Sébastien Villemot ]
  * d/copyright: use correct license short name (FSFAP) for Makefile

 -- Rafael Laboissiere <rafael@debian.org>  Wed, 10 Jul 2019 05:15:53 -0300

octave-instrument-control (0.4.0-2) experimental; urgency=medium

  * d/p/xtest-in-unit-tests.patch: Ignore unit tests involding TCP/IP

 -- Rafael Laboissiere <rafael@debian.org>  Sun, 12 May 2019 04:18:37 -0300

octave-instrument-control (0.4.0-1) experimental; urgency=medium

  * New upstream version 0.4.0
  * d/copyright: Reflect upstream changes

 -- Rafael Laboissiere <rafael@debian.org>  Mon, 06 May 2019 11:08:29 -0300
