=== debian/control ===
--- 
+++ 
@@ -4,8 +4,8 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissiere <rafael@debian.org>
 Build-Depends: debhelper-compat (= 12),
-               dh-octave (>= 0.5.2)
-Standards-Version: 4.3.0
+               dh-octave (>= 0.7.1)
+Standards-Version: 4.4.1
 Homepage: https://octave.sourceforge.io/instrument-control/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-instrument-control.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-instrument-control
