=== debian/watch ===
version=3
http://sf.net/octave/instrument-control-(.+)\.tar\.gz
