=== debian/changelog ===
octave-instrument-control (0.5.0-3) unstable; urgency=medium

  * d/p/xtest-in-unit-tests.patch: Set Forwarded:not-needed

 -- Rafael Laboissière <rafael@debian.org>  Sat, 01 Aug 2020 02:57:05 -0300

octave-instrument-control (0.5.0-2) unstable; urgency=medium

  * d/control: Bump debhelper compatibitlity level to 13
  * d/u/metadata: Drop Name and Contact fields
  * d/p/xtest-in-unit-tests.patch: Switch to xtest for tests involving
    remote servers (Closes: #964211)

 -- Rafael Laboissière <rafael@debian.org>  Mon, 13 Jul 2020 06:15:39 -0300

octave-instrument-control (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * d/copyright: Reflect upstream changes
  * d/p/xtest-in-unit-tests.patch: Refresh for new upstream version
  * d/control: Bump Standards-Version to 4.5.0 (no changes needed)
  * d/u/metadata: New file
  * d/clean: New file

 -- Rafael Laboissière <rafael@debian.org>  Wed, 15 Apr 2020 11:53:58 -0300
