=== debian/changelog ===
octave-instrument-control (0.6.0-2) unstable; urgency=medium

  * d/p/xtest-tcpclient.patch: New patch
  * d/watch: Bump to version 4

 -- Rafael Laboissière <rafael@debian.org>  Tue, 17 Nov 2020 04:06:55 -0300

octave-instrument-control (0.6.0-1) unstable; urgency=medium

  * New upstream version 0.6.0
  * d/copyright: Reflect upstream changes
  * d/p/xtest-in-unit-tests.patch: Refresh for new upstream version
  * d/s/options: Ignore common.mk for upstream changes

 -- Rafael Laboissière <rafael@debian.org>  Sat, 31 Oct 2020 04:02:35 -0300
