=== debian/watch ===
version=4
http://sf.net/octave/instrument-control-(.+)\.tar\.gz
