## octave-instrument-control 0.7.1

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 ## Copyright 2015-2016 Oliver Heimlich
 ## Copyright 2017 Julien Bect <jbect@users.sf.net>
 ## Copyright 2017 Olaf Till <i7tiol@t-online.de>
-## Copyright 2018-2019 John Donoghue <john.donoghue@ieee.org>
+## Copyright 2018-2020 John Donoghue <john.donoghue@ieee.org>
 ##
 ## Copying and distribution of this file, with or without modification,
 ## are permitted in any medium without royalty provided the copyright
@@ -47,6 +47,7 @@
 endif
 OCTAVE := $(OCTAVE) --no-gui --silent --norc
 MKOCTFILE ?= mkoctfile
+OCTAVE_CONFIG ?= octave-config
 
 ## Command used to set permissions before creating tarballs
 FIX_PERMISSIONS ?= chmod -R a+rX,u+w,go-w,ug-s
@@ -244,9 +245,8 @@
 ##  https://octave.sourceforge.io/doctest/index.html
 doctest: $(install_stamp)
 	$(run_in_place) --eval 'pkg load doctest;'                                                          \
-	  --eval "targets = '$(shell (ls inst; ls src | $(GREP) .oct) | $(CUT) -f2 -d@ | $(CUT) -f1 -d.)';" \
-	  --eval "targets = strsplit (targets, ' ');  doctest (targets);"
-
+	  --eval "targets = pkg('list', '$(package)'){1}.dir;" \
+	  --eval "doctest (targets);"
 
 ## Test package.
 octave_test_commands = \
@@ -268,8 +268,9 @@
 
 .PHONY: clean
 
+ARCHDIR   := "$(shell $(OCTAVE_CONFIG) -p CANONICAL_HOST_TYPE)-$(shell $(OCTAVE_CONFIG) -p API_VERSION)"
 clean: clean-tarballs clean-unpacked-release clean-install clean-docs
-	test -e inst/test && rmdir inst/test || true
+	test -e inst/$(ARCHDIR) && rmdir inst/$(ARCHDIR) || true
 	test -e $(target_dir)/fntests.log && rm -f $(target_dir)/fntests.log || true
 	@echo "## Removing target directory (if empty)..."
 	test -e $(target_dir) && rmdir $(target_dir) || true
