=== debian/changelog ===
octave-instrument-control (0.7.1-1) unstable; urgency=medium

  * New upstream version 0.7.1
  * d/copyright: Reflect upstream changes
  * d/p/honor-cflags.patch: Drop patch (applied upstream)

 -- Rafael Laboissière <rafael@debian.org>  Sat, 22 Jan 2022 12:50:57 -0300

octave-instrument-control (0.7.0-3) unstable; urgency=medium

  * d/copyright: Accentuate my family name
  * d/control: Bump Standards-Version to 4.6.0 (no changes needed)
  * d/u/metadata: Add field Archive
  * d/s/options: Avoid exclusion of Makefile.in files
  * d/p/honor-cflags.patch: New patch
  * d/p/xtest-resolvehost.patch: New patch

 -- Rafael Laboissière <rafael@debian.org>  Sun, 14 Nov 2021 17:48:49 -0300

octave-instrument-control (0.7.0-2) unstable; urgency=medium

  * Upload to unstable

 -- Rafael Laboissière <rafael@debian.org>  Mon, 16 Aug 2021 13:39:53 -0300

octave-instrument-control (0.7.0-1) experimental; urgency=medium

  * New upstream version 0.7.0
  * d/p/xtest-tcpclient.patch: Drop patch (not needed anymore)
  * d/copyright: Reflect upstream changes
  * d/control: Bump Standards-Version to 4.5.1 (no changes needed)
  * d/clean: Clean automatically generated files
  * d/u/metadata: Add Repository field

 -- Rafael Laboissière <rafael@debian.org>  Sat, 27 Feb 2021 06:18:49 -0300
