=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 0.7.1)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://octave.sourceforge.io/instrument-control/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-instrument-control.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-instrument-control
