=== debian/changelog ===
octave-instrument-control (0.8.0-2) unstable; urgency=medium

  * d/watch: Adjust for new URL at gnu-octave.github.io
  * d/s/lintian-override: Override Lintian warning
    debian-watch-lacks-sourceforge-redirector

 -- Rafael Laboissière <rafael@debian.org>  Mon, 05 Dec 2022 08:56:45 -0300

octave-instrument-control (0.8.0-1) unstable; urgency=medium

  * New upstream version 0.8.0
  * d/p/fix-realclean-and-distclean-rules.patch: Drop patch (applied upstream)

 -- Rafael Laboissière <rafael@debian.org>  Sun, 24 Jul 2022 13:52:59 -0300

octave-instrument-control (0.7.1-2) unstable; urgency=medium

  * d/control: Bump Standards-Version to 4.6.1 (no changes needed)
  * Build-depend on dh-sequence-octave
    + d/control: Ditto
    + d/rules: Drop the --with=octave option from dh call
  * Proper cleaning of upsream files
    + d/p/fix-realclean-and-distclean-rules.patch: New patch
    + d/clean, d/s/options: Drop obsolete files
    + d/control: Build-depend on dh-octave >= 1.2.3

 -- Rafael Laboissière <rafael@debian.org>  Mon, 11 Jul 2022 08:54:40 -0300
