=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 0.7.1)
-Standards-Version: 4.6.0
+               dh-octave (>= 1.2.3),
+               dh-sequence-octave
+Standards-Version: 4.6.1
 Homepage: https://octave.sourceforge.io/instrument-control/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-instrument-control.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-instrument-control
