## octave-instrument-control 0.9.1

=== debian/changelog ===
octave-instrument-control (0.9.1-1build1) mantic; urgency=medium

  * No-change rebuild against octave-abi-58

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 14 Aug 2023 17:29:06 +0000

octave-instrument-control (0.9.1-1) unstable; urgency=medium

  * Upload to unstable

  * New upstream version 0.9.1
  * d/u/metadata:
    + Update Bug-Database URL
    + Add Changelog and Documentation URLs

 -- Rafael Laboissière <rafael@debian.org>  Tue, 13 Jun 2023 17:54:10 -0300

octave-instrument-control (0.9.0-1) experimental; urgency=medium

  * New upstream version 0.9.0
  * d/copyright: Reflect upstream changes
  * d/control:
    + Update upstream Homepage URL
    + Bump Standards-Version to 4.6.2 (no changes needed)
  * Refresh patches for new upstream version:
    + d/p/xtest-in-unit-tests.patch
    + d/p/xtest-resolvehost.patch

 -- Rafael Laboissière <rafael@debian.org>  Sat, 03 Jun 2023 05:14:58 -0300
