=== debian/changelog ===
octave-instrument-control (0.9.2-1) unstable; urgency=medium

  * New upstream version 0.9.2
  * d/copyright:
    + Reflect upstream changes
    + Update Source URL
  * Build and install the documentation
    + d/control: Build-depend on texlive and dh-octave >= 1.7.0
    + d/octave-instrument-control.doc-base: New file
    + d/octave-instrument-control.docs: New file
    + d/octave-instrument-control.info: New file
    + d/p/add-info-dir.patch: New patch
    + d/rules: Add rule for building the docs
    + d/s/lintian-overrides: Add override for source-is-missing

 -- Rafael Laboissière <rafael@debian.org>  Sat, 06 Jan 2024 19:35:32 -0300
