=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Debian Octave Group <team+pkg-octave-team@tracker.debian.org>
 Uploaders: Rafael Laboissière <rafael@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-octave (>= 1.2.3),
-               dh-sequence-octave
+               dh-octave (>= 1.7.0),
+               dh-sequence-octave,
+               texlive
 Standards-Version: 4.6.2
 Homepage: https://gnu-octave.github.io/packages/instrument-control/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-instrument-control.git
