## octave-instrument-control 0.9.3

=== debian/changelog ===
octave-instrument-control (0.9.3-1build1) oracular; urgency=medium

  * No-change rebuild against octave-abi-59

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 14 May 2024 09:45:32 +0000

octave-instrument-control (0.9.3-1) unstable; urgency=medium

  * New upstream version 0.9.3
  * d/p/add-info-dir.patch: Drop patch (applied upstream)
  * d/p/xtest-resolvehost.patch: Refresh for new upstream version
  * d/u/metadata: Update Bug-Database URL
  * d/control: Build-depend on python3 and dh-octave >= 1.8.0
  * d/rules: Explicitly build the .info file
  * d/octave-instrument-control.doc-base: Add stanza for the info file

 -- Rafael Laboissière <rafael@debian.org>  Sat, 06 Apr 2024 01:20:10 -0300
