## octave-instrument-control 0.9.4

=== DESCRIPTION ===
Name: instrument-control
Version: 0.9.4
Date: 2025-01-19
Author: Andrius Sutas <andrius.sutas@gmail.com>, Stefan Mahr <dac922@gmx.de>, John Donoghue <john.donoghue@ieee.org>
Maintainer: Stefan Mahr <dac922@gmx.de>, John Donoghue <john.donoghue@ieee.org>
Title: Instrument Control
Description: Low level I/O functions for serial, i2c, spi, parallel, tcp, gpib, vxi11, udp and usbtmc interfaces.
Categories: instrument-control
Depends: octave (>= 4.0.0)
Autoload: no
License: GPLv3+
