=== debian/changelog ===
octave-instrument-control (0.9.4-1) unstable; urgency=medium

  * New upstream version 0.9.4
  * d/copyright: Update list of Copyright years
  * d/control:
    + Bump Standards-Version to 4.7.0 (no changes needed)
    + Resctrict build-dependencies needed for building the
      documentation to the "!nodoc" profile

 -- Rafael Laboissière <rafael@debian.org>  Sat, 25 Jan 2025 04:08:16 -0300
