=== debian/control ===
--- 
+++ 
@@ -6,9 +6,9 @@
 Build-Depends: debhelper-compat (= 13),
                dh-octave (>= 1.8.0),
                dh-sequence-octave,
-               python3,
-               texlive
-Standards-Version: 4.6.2
+               python3 <!nodoc>,
+               texlive <!nodoc>
+Standards-Version: 4.7.0
 Homepage: https://gnu-octave.github.io/packages/instrument-control/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-instrument-control.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-instrument-control
