=== debian/changelog ===
octave-instrument-control (0.9.5-3) unstable; urgency=medium

  * d/p/assert-timeout.patch: New patch
  * d/control:
    + Drop superfluous build-dependency on texlive-binaries
    + Add texlive-latex-base to Build-Depends

 -- Rafael Laboissière <rafael@debian.org>  Mon, 20 Oct 2025 11:11:11 -0300

octave-instrument-control (0.9.5-2) unstable; urgency=medium

  * d/control:
    + Drop “Rules-Requires-Root: no”, which is now the default
    + Build-depend on texlive-base and texlive-binaries instead of the
      broader package texlive
  * d/watch: Convert to format version 5
  * d/s/lintian-override: Update override for the Lintian warning
    debian-watch-lacks-sourceforge-redirector
  * d/copyright: Use URL instead of the old postal address of the Free
    Software Foundation

 -- Rafael Laboissière <rafael@debian.org>  Sat, 18 Oct 2025 10:58:08 -0300

octave-instrument-control (0.9.5-1) unstable; urgency=medium

  * New upstream version 0.9.5
  * d/copyright: Reflect upstream changes
  * d/p/xtest-resolvehost.patch: Refresh for new upstream version
  * d/control: Bump Standards-Version to 4.7.2 (no changes needed)
  * d/s/lintian-overrides: Drop unused override source-is-missing

 -- Rafael Laboissière <rafael@debian.org>  Tue, 29 Apr 2025 03:21:09 -0300
