=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
                dh-octave (>= 1.8.0),
                dh-sequence-octave,
                python3 <!nodoc>,
-               texlive <!nodoc>
-Standards-Version: 4.7.0
+               texlive-base <!nodoc>,
+               texlive-latex-base <!nodoc>
+Standards-Version: 4.7.2
 Homepage: https://gnu-octave.github.io/packages/instrument-control/
 Vcs-Git: https://salsa.debian.org/pkg-octave-team/octave-instrument-control.git
 Vcs-Browser: https://salsa.debian.org/pkg-octave-team/octave-instrument-control
 Testsuite: autopkgtest-pkg-octave
-Rules-Requires-Root: no
 
 Package: octave-instrument-control
 Architecture: any
