=== debian/rules ===
--- 
+++ 
@@ -6,5 +6,5 @@
 
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 override_dh_auto_build:
-	make -k docs || true
+	make -k docs doc/instrument-control.info
 endif
