=== debian/changelog ===
octave-instrument-control (0.10.0-1) unstable; urgency=medium

  * New upstream version 0.10.0
  * d/watch: Update upstream tarball URL
  * d/p/assert-timeout.patch: Drop patch (applied upstream)
  * d/copyright: Reflect upstream changes
  * d/p/typo-doc-visadevlist.patch: New patch
  * d/u/metadata: Update upstream URLs
  * d/salsa-ci.yml: New file
  * d/control:
    + Drop the redundant Priority field, which defaults to optional now
    + Bump Standards-Version to 4.7.3
  * d/s/lintian-overrides: Drop unused override

 -- Rafael Laboissière <rafael@debian.org>  Sat, 24 Jan 2026 12:42:46 +0000
