=== debian/watch ===
Version: 5

Source: https://gnu-octave.github.io/packages/instrument-control/
Matching-Pattern: https://github.com/gnu-octave/instrument-control/releases/download/release-.*/instrument-control-@ANY_VERSION@@ARCHIVE_EXT@
